Skip to content

Update Preferences

PATCH
/users/{user_id}/preferences
curl --request PATCH \
--url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/preferences \
--header 'Content-Type: application/json' \
--data '{ "appearance": "example", "calendar_enabled": true, "daily_summary_hidden_items": [ "example" ], "daily_summary_notification_enabled": true, "daily_summary_notification_time": "example", "drinks": [ "example" ], "dwell_bridge_minutes": 1, "dwell_max_stay_minutes": 1, "dwell_min_minutes": 1, "dwell_radius_meters": 1, "hide_sensitive": true, "home_lat": 1, "home_lon": 1, "home_radius_meters": 1, "location_enabled": true, "medications": [ "example" ], "pinned_shortcuts": [ "example" ], "snacks": [ "example" ], "tag_events_with_location": true, "unit_system": "metric" }'
user_id
required
User Id
string format: uuid
Media typeapplication/json
UserPreferencesUpdate
object
appearance
Any of:
string
calendar_enabled
Any of:
boolean
daily_summary_hidden_items
Any of:
Array<string>
daily_summary_notification_enabled
Any of:
boolean
daily_summary_notification_time
Any of:
string
drinks
Any of:
Array<string>
dwell_bridge_minutes
Any of:
number
dwell_max_stay_minutes
Any of:
number
dwell_min_minutes
Any of:
number
dwell_radius_meters
Any of:
integer
hide_sensitive
Any of:
boolean
home_lat
Any of:
number
home_lon
Any of:
number
home_radius_meters
Any of:
integer
location_enabled
Any of:
boolean
medications
Any of:
Array<string>
pinned_shortcuts
Any of:
Array<string>
snacks
Any of:
Array<string>
tag_events_with_location
Any of:
boolean
unit_system
Any of:
string
Allowed values: metric imperial

Successful Response

Media typeapplication/json
UserRead
object
avatar_url
Any of:
string
created_at
required
Created At
string format: date-time
date_of_birth
Any of:
string format: date
display_name
required
Any of:
string
email
required
Email
string
first_name
Any of:
string
height_cm
Any of:
number
id
required
Id
string format: uuid
is_active
Is Active
boolean
default: true
is_admin
required
Is Admin
boolean
last_name
Any of:
string
preferences
Preferences
object
key
additional properties
any
timezone
required
Timezone
string
updated_at
required
Updated At
string format: date-time
weight_kg
Any of:
number
Example
{
"is_active": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}